{% extends "base.html" %}

{% block content %}
    <div style="text-align:center; padding-left: 35%; padding-right: 35%; padding-top: 3%">
        <form method="post">
            {#             action="{% url 'event:event-update' %}"#}
            {% csrf_token %}
            {{ form.name.label_tag }}
            {{ form.name }}
            {{ form.event_date.label_tag }}
            {{ form.event_date }}
            {{ form.event_time.label_tag }}
            {{ form.event_time }}
            {{ form.place.label_tag }}
            {{ form.place }}
            {{ form.description.label_tag }}
            {{ form.description }}
            {# HACK - Checkbox created not dymanic because this django #}
            {# version product label incorrect for checkbox for some web browsers #}
            <p style="text-align: center">
                {% if form.annually is True %}
                    <label>
                        <input type="checkbox" checked="checked" name="annually" id="id_annually"/>
                        <span>{{ form.annually.label_tag }}</span>
                    </label>
                {% else %}
                    <label>
                        <input type="checkbox" name="annually" id="id_annually"/>
                        <span>{{ form.annually.label_tag }}</span>
                    </label>
                {% endif %}
            </p>
            <div style="padding: 3%">
                <button class="waves-effect waves-light btn">Update</button>
            </div>
        </form>
    </div>
{% endblock %}


